aboutsummaryrefslogtreecommitdiffstats
path: root/sw/deps/si5351/ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sw/deps/si5351/ci/script.sh')
-rw-r--r--sw/deps/si5351/ci/script.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/sw/deps/si5351/ci/script.sh b/sw/deps/si5351/ci/script.sh
new file mode 100644
index 0000000..f6bca6f
--- /dev/null
+++ b/sw/deps/si5351/ci/script.sh
@@ -0,0 +1,16 @@
+# This script takes care of testing your crate
+
+set -euxo pipefail
+
+main() {
+ case $TARGET in
+ x86_64-unknown-linux-gnu)
+ cargo check --target $TARGET
+ ;;
+ *)
+ xargo check --target $TARGET
+ ;;
+ esac
+}
+
+main